%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/seancfoley/ipaddress-go
Version:                1.5.5

%gometa


%global common_description %{expand:
Go library for handling IP addresses and subnets, both IPv4 and IPv6.}

%global golicenses      LICENSE ipaddr/LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go library for handling IP addresses and subnets, both IPv4 and IPv6

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.5-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
